Bug 1420944 - fc-list makes remote ssh terminal unusable if sil-padauk-fonts is installed
Summary: fc-list makes remote ssh terminal unusable if sil-padauk-fonts is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sil-padauk-fonts
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:11 UTC by Edgar Hoch
Modified: 2017-02-18 18:50 UTC (History)
3 users (show)

Fixed In Version: sil-padauk-fonts-3.002-1.fc25 sil-padauk-fonts-3.002-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 22:23:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Edgar Hoch 2017-02-09 23:11:11 UTC
Description of problem:
When logged in to a host by ssh
and "fc-list" is run while package sil-padauk-fonts is installed,
then output stops at line 

/usr/share/fonts/sil-padauk/Padauk.ttf: Padauk,áá­á

Then the only possibility to continue is to kill the remote ssh session, for example by keys <RETURN>~. All other keys and key sequences doesn't change anything in the terminal (of course, I have only tested some common keys like C-c, C-q, <ESC>, etc).

On local terminal fc-list finished normally.

I have searched the output for the lines causing the break of the ssh terminal:

$ fc-list|grep sil-padauk
/usr/share/fonts/sil-padauk/Padauk-bold.ttf: Padauk,áá­áá¯á¶á¸áá²,á??á?¬á??á?¯á?¶á?¸á??á??
/usr/share/fonts/sil-padauk/Padauk.ttf: Padauk,áá­áá±á¬ááº,á??á??á??á?±á?¬á??á?º:style=Regular

It seams to me that the output contains chars that are not printable in utf-8 encoding. It seams that at lease on of the bytes printed have a special meaning for ssh, so it stops.

I use gnome-terminal with utf-8 encoding, LANG=de_DE.UTF-8 .


Would it be possible to change the description of these two font files to a string containing only characters that are printable on any charset and have no special meaning to ssh connection?


Version-Release number of selected component (if applicable):
sil-padauk-fonts-2.8-10.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf -y install sil-padauk-fonts
2. fc-list
3. ssh localhost
4. fc-list

Actual results:
Step 4: Output stops at line
/usr/share/fonts/sil-padauk/Padauk.ttf: Padauk,áá­á
terminal is unusable.

Expected results:
Step 4: Output does not stop, terminal is usable normally after command has finished.

Comment 1 Parag Nemade 2017-02-10 08:46:35 UTC
This will be fixed by new upstream release built on all Fedora branches now.

Comment 2 Fedora Update System 2017-02-10 08:53:45 UTC
sil-padauk-fonts-3.002-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb3506a62e

Comment 3 Fedora Update System 2017-02-10 08:54:19 UTC
sil-padauk-fonts-3.002-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c230bc414e

Comment 4 Fedora Update System 2017-02-10 15:47:34 UTC
sil-padauk-fonts-3.002-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c230bc414e

Comment 5 Fedora Update System 2017-02-10 16:23:58 UTC
sil-padauk-fonts-3.002-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb3506a62e

Comment 6 Fedora Update System 2017-02-13 22:23:56 UTC
sil-padauk-fonts-3.002-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-02-14 15:49:50 UTC
sil-padauk-fonts-3.002-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-02-18 18:50:07 UTC
sil-padauk-fonts-3.002-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.